IBM Support

Mismatch between the types of license for IBM® Tivoli® System Automation for Multiplatforms (SA MP) can cause the SA MP Base Component installation to fail when applying DB2® Version 9.5 Fix Pack 6

Troubleshooting


Problem

In Version 9.5 Fix Pack 6 and later fix packs, the DB2 fix pack images bundle newer versions of SA MP Base Component instead of SA MP Base Component 2.2. This version change requires that you manually upgrade the existing license file prior to the fix pack installation because the fix pack images have trial (try and buy) licenses while the DB2 copy on your computer has a permanent license.

Symptom

If you do not upgrade the license file prior to applying Version 9.5 Fix Pack 6, the installation process completes without upgrading SA MP. An error message similar to the following message is added in the DB2 installation log to indicate that the SA MP component was not upgraded:

    "The DB2 installer could not update the IBM Tivoli System Automation for Multiplatforms Base Component (SA MP Base Component) from the currently installed version 2.2.0.7 to the version 3.1.0.6 on the DB2 install media. Upgrading from this particular older version to this particular newer version is not supported. For information about manually upgrading the SA MP Base Component, see the SA MP Base Component Installation and Configuration Guide at http://www.ibm.com/support/docview.wss?uid=swg21433814"

This message is incorrect because the error is related to a conflict with the types of license files.

Resolving The Problem

You can ignore this message if you are not using the High Availability (HA) Feature on UNIX® and Linux® platforms. The upgrade and usage of other DB2 components is not affected.

To use the HA feature in this situation, perform the following steps:

  1. Replace the SA MP license file included in the fix pack image using the following steps:
    1. Go to the Passport Advantage® web site and obtain a permanent SA MP license from one of your entitled DB2 V9.5 activation CDs.
    2. Copy the permanent SA MP license (sam32.lic for AIX® operating systems or sam31.lic for Linux operating systems) into the Fixpack-path/db2/platform/tsamp/license directory where Fixpack-path represents the path where the fix pack image is located and platform represents the operating system used.
    3. Remove the sam31tb.lic or the sam32tb.lic file. The installation will fail if you do not delete the try and buy license.
  2. Reinstall SA MP using one of the following methods:

Note: You have to use the -f level option to force the DB2 installer to apply the fix pack regardless of the DB2 version that is currently installed.

[{"Product":{"code":"SSEPGG","label":"DB2 for Linux- UNIX and Windows"},"Business Unit":{"code":"BU053","label":"Cloud & Data Platform"},"Component":"Install\/Migrate\/Upgrade - Fixpak","Platform":[{"code":"PF002","label":"AIX"},{"code":"PF016","label":"Linux"}],"Version":"9.5","Edition":"Enterprise Server;Express;Workgroup Server","Line of Business":{"code":"LOB10","label":"Data and AI"}}]

Document Information

Modified date:
16 June 2018

UID

swg21433814